package de.unibi.airobots.bonsai.actuators;

import java.io.IOException;

import de.unibi.airobots.bonsai.core.Actuator;
import de.unibi.airobots.btl.data.DynamicGridMap;
import de.unibi.airobots.btl.data.ObjectPositionData;
import de.unibi.airobots.btl.data.Type.NoSourceDocumentException;

/**
 * New interface to control a scene memory containing meta information and
 * semantic annotations of the scene.
 * 
 * @author lziegler
 */
public interface SceneActuator extends Actuator {

    
    void addObject(ObjectPositionData object) throws IOException;
    void updateObject(ObjectPositionData object) throws NoSourceDocumentException, IOException;
    void addGridMap(DynamicGridMap map) throws IOException;
    void updateGridMap(DynamicGridMap map) throws NoSourceDocumentException, IOException;
    void removeGridMap(DynamicGridMap map) throws NoSourceDocumentException, IOException;
}
