package de.unibi.airobots.bonsai.examples;

import net.sf.xcf.Server;
import net.sf.xcf.UserException;
import net.sf.xcf.XcfManager;
import net.sf.xcf.event.CallbackEvent;
import net.sf.xcf.event.CallbackEventAdapter;
import net.sf.xcf.transport.XOPData;

/**
 * A simply binary setting up a test server returning dummy data.
 * 
 * @author jwienke
 */
public class TestServer {

    public static final String SERVER_NAME = "TestServer";
    public static final String METHOD_NAME = "testMethod";

    /**
     * Main method.
     * 
     * @param args
     *            command line arguments
     */
    public static void main(String[] args) {

        try {

            XcfManager xcfManager = XcfManager.createXcfManager();
            Server server = xcfManager.createServer(SERVER_NAME);
            server.addListener(new CallbackEventAdapter(METHOD_NAME) {

                /**
                 * {@inheritDoc}
                 */
                @Override
                public void invoke(CallbackEvent e, XOPData result)
                        throws UserException, Exception, Throwable {

                    System.out.println(METHOD_NAME
                            + " called, now wasting some time");
                    Thread.sleep(3500);
                    result.setDocument("<result/>");
                    System.out.println(METHOD_NAME + " finished");

                }
            });

        } catch (Exception e) {
            e.printStackTrace();
            System.exit(1);
        }

    }

}
