package de.unibi.airobots.bonsai.xcf;

/**
 * Exception indicating an error connecting to the underlying xcf type.
 * 
 * @author jwienke
 */
public class XcfTypeInitializationException extends RuntimeException {

    /**
     * Serial version UID.
     */
    private static final long serialVersionUID = -1367380336783127021L;

    /**
     * Constructor.
     */
    public XcfTypeInitializationException() {
        super();
    }

    /**
     * Constructor.
     * 
     * @param message
     *            exception description
     * @param cause
     *            exception cause
     */
    public XcfTypeInitializationException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructor.
     * 
     * @param message
     *            exception description
     */
    public XcfTypeInitializationException(String message) {
        super(message);
    }

    /**
     * Constructor.
     * 
     * @param cause
     *            exception cause
     */
    public XcfTypeInitializationException(Throwable cause) {
        super(cause);
    }

}
