package de.unibi.airobots.bonsai;

import static org.junit.Assert.*;

/**
 * Utility functions for testing.
 * 
 * @author jwienke
 */
public class TestUtils {

    /**
     * Builds a filename string relative to a base directory that has to be
     * specified with the JVM property "testresources". Errors are indicated
     * with a JUnit <code>fail</code> call.
     * 
     * @param filename
     *            filename to create relative to base directory
     * @return absolute file name
     */
    public static String makeTestFileName(String filename) {

        String root = System.getProperty("testresources");

        if (root == null) {
            fail("Property testresources not set.");
        }

        return root + "/" + filename;

    }

}
